-- turtle.lua
-- Created on:  2020-10-18
-- Author:      Rétro
--
-- Rétro Stonks Industries - Tout droits réservés
--
-- Fausse API "turtle" de computercraft, permettant de tester le code
-- en-dehors d'une vraie tortue

---
-- \class Tortue RSI
local turtle = {}
turtle.__index = turtle

require("printf")

function turtle.craft(quantity)
    printf("Crafting %d", quantity)
    return true
end


function turtle.forward()
    print("Moving forward")
    return true
end


function turtle.backward()
    print("Moving backwards")
    return true
end


function turtle.up()
    print("Moving up")
    return true
end


function turtle.down()
    print("Moving down")
    return true
end


function turtle.turnLeft()
    print("Turning left")
end


function turtle.turnRight()
    print("Turning right")
end


function turtle.select()
    return true
end


function turtle.inspect()
    local ret = {};
    ret.name = "BLOCK_NAME"
    ret.metadata = 0;
    ret.state = "STATE"
    return true, ret
end


function turtle.dig()
    return true
end


function turtle.digUp()
    return turtle.dig()
end


function turtle.digDown()
    return turtle.dig()
end


-- Ne prend pas en compte l'argument optionel string signText de la vraie API
-- turtle
function turtle.place()
    return true
end


function turtle.placeUp()
    return turtle.place()
end


function turtle.placeDown()
    return turtle.place()
end

function turtle.inspectUp()
    return turtle.inspect()
end

function turtle.inspectDown()
    return turtle.inspect()
end

return turtle
